%define fname gal
%define version 0.22
%define release alt1

Summary: Library for compound documents in GNOME
Name: lib%{fname}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/unstable/sources/%{fname}/%{fname}-%{version}.tar.bz2
Url: http://www.gnome.org/
Provides: gal
Obsoletes: gal


# Automatically added by buildreq on Mon Oct 07 2002
BuildRequires: ORBit-devel XFree86-devel XFree86-libs esound-devel flex freetype2-devel gdk-pixbuf-devel glib-devel glibc-devel-static gnome-libs-devel gtk+-devel imlib-devel libaudiofile-devel libdb1-devel libglade-devel libgnome-vfs-devel libgnomeprint-devel libxml-devel xpm-devel zlib-devel

%description
This the G App Libs (GAL).

This module contains some library functions that came from Gnumeric
and Evolution.  The idea is to reuse those widgets across various
larger GNOME applications that might want to use these widgets.

%package devel
Summary: Libraries and include files for gal
Group: Development/C
Requires: %{name} = %{version}
Provides: gal-devel
Obsoletes: gal-devel

%description devel
This package provides the necessary development libraries and include
files to allow you to develop programs using gal.

%package devel-static
Summary: Static libraries for Gnome Application Library
Group: Development/C
Requires: %{name} = %{version}, %{name}-devel = %{version}

%description devel-static
This package provides the necessary development libraries and include
files to allow you to develop programs using gal.

%prep
%setup -q -n%fname-%version
#cp /usr/lib/rpm/mkinstalldirs .

%build
#CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%_prefix
%configure

# No SMP build
%make

%install

%makeinstall

%{find_lang} %{fname}-%version


%post -p /sbin/ldconfig
  
%postun -p /sbin/ldconfig

%files -f %{fname}-%version.lang
%doc AUTHORS COPYING README
%{_datadir}/etable
%dir %{_datadir}/gal
%{_datadir}/gal/%{version}
#%{_datadir}/pixmaps/*
%{_libdir}/*.so.*

%files devel
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.sh
%{_includedir}/*
%{_datadir}/gal/html

%files devel-static
%{_libdir}/*.a




%changelog
* Mon Dec 23 2002 AEN <aen@altlinux.ru> 0.22-alt1
- new version

* Sat Nov 02 2002 AEN <aen@altlinux.ru> 0.21-alt1
- new version

* Mon Oct 07 2002 AEN <aen@altlinux.ru> 0.20.0-alt1
- new version

* Mon May 13 2002 AEN <aen@logic.ru> 0.19.2-alt1
- new version

* Mon Jan 14 2002 AEN <aen@logic.ru> 0.19-alt1
- new version

* Fri Nov 16 2001 AEN <aen@logic.ru> 0.18.1-alt2
- built official tarball

* Thu Nov 15 2001 AEN <aen@logic.ru> 0.18.1-alt1
- new version

* Fri Nov 09 2001 AEN <aen@logic.ru> 0.18-alt1
- new version

* Fri Oct 26 2001 AEN <aen@logic.ru> 0.16-alt0.1
- CVS
* Tue Oct 9 2001 AEN <aen@logic.ru> 0.13-alt1
- new version

* Wed Sep 5 2001 AEN <aen@logic.ru> 0.11.2-alt1
- new version

* Wed Aug 22 2001 AEN <aen@logic.ru> 0.11-alt1
- new release

* Thu Aug 09 2001 AEN <aen@logic.ru> 0.10-alt1
- new release
- BuildReq db1-devel
- %files fixed
 
* Wed Jul 18 2001 AEN <aen@logic.ru> 0.9.1-alt1
- 0.9.1
* Mon Jul 16 2001 AEN <aen@logic.ru> 0.9-alt1
- release

* Thu Jul 12 2001 AEN <aen@logic.ru> 0.9-alt0.2
- new snapshot

* Mon Jul 9 2001 AEN <aen@logic.ru> 0.9-alt0.1
- 0.8.99.8

* Mon May 21 2001 Mikhail Zabaluev <mhz@altlinux.ru> 0.8-alt1
- 0.8

* Wed May 16 2001 AEN <aen@logic.ru> 0.7-alt2
- libgal-devel provides gal-devel

* Tue May 15 2001 Alexander Bokovoy <ab@altlinux.ru> 0.7-alt1
- Version 0.7
- Static build moved to gal-devel-static

* Thu Feb 22 2001 AEN <aen@logic.ru> 0.5-ipl1mdk
- 0.5
* Thu Feb 1 2001 AEN <aen@logic.ru>
- fix requires
* Sat Dec 16 2000 AEN <aen@logic.ru>
- 0.4.1
* Thu Dec 14 2000 AEN <aen@logic.ru>
- 0.3
* Mon Nov 28 2000 AEN <aen@logic.ru>
- build for RE

* Tue Nov 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.2.2-1mdk
- add a source url.
- bump up version for the new and shiny gnumeric.

* Tue Oct 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.2.1-1mdk
- new version 0.2.1

* Mon Oct 23 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.2-1mdk
- new version 0.2

* Mon Oct 16 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.1-1mdk
- first mandrake release
- compilation with gnome-vfs (needs 0.3.1-5mdk)

